GET
/private-cluster/{Private_Cluster_id}/nodes-info/{node_name}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/private-cluster/{Private_Cluster_id}/nodes-info/{node_name}/?interval=<INTERVAL>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/private-cluster/{Private_Cluster_id}/nodes-info/{node_name}/", params={"interval": "<INTERVAL>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/private-cluster/{Private_Cluster_id}/nodes-info/{node_name}/");url.search = new URLSearchParams({ interval: "<INTERVAL>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Private_Cluster_id
required
integer
node_name
required
string
Example
e2e_node_253Query Parameters
Section titled “Query Parameters”interval
required
integer
Interval of the Private_Cluster
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”All time plans
| Monitoring Period | interval |
|---|---|
| 5 min | 5m |
| 1 hour | 1h |
| 1 day | 1d |
| 7 days | 7d |
| 1 month | 1mn |
Media typeapplication/json
object
code
integer
data
object
node_memory_MemTotal_bytes
object
time_series
Array<string>
value_series
Array<string>
node_cpu_seconds_total
object
time_series
Array<string>
value_series
Array<string>
node_disk_read_bytes_total
object
time_series
Array<string>
value_series
Array<string>
node_disk_written_bytes_total
object
time_series
Array<string>
value_series
Array<string>
gpu_temperature
object
time_series
Array<string>
value_series
Array<string>
gpu_util
object
time_series
Array<string>
value_series
Array<string>
node_disk_capacity
integer
node_disk_used
integer
node_memory_capacity
integer
node_used_memory
integer
name
string
worker_type
string
status
string
total_cpu
integer
total_gpu
integer
free_cpu
integer
allocated_cpu
integer
allocated_gpu
integer
free_gpu
integer
free_memory
integer
free_ephemeral_storage
integer
errors
object
message
string
Example
{ "code": 200, "data": { "node_memory_MemTotal_bytes": { "time_series": [ "12:06:05PM", "12:06:20PM", "12:06:35PM", "12:06:50PM", "12:07:05PM" ], "value_series": [ "92.16097494066116", "92.17453237565253", "92.19093818556306", "92.20230057434853", "92.21072471230723" ] }, "node_cpu_seconds_total": { "time_series": [ "12:06:05PM", "12:06:20PM", "12:06:35PM", "12:06:50PM", "12:07:05PM" ], "value_series": [ "7.094318181890147", "6.230681818296125", "6.252272727327767", "6.317045454687276", "6.315909091023397" ] }, "node_disk_read_bytes_total": { "time_series": [ "12:06:05PM", "12:06:20PM", "12:06:35PM", "12:06:50PM", "12:07:05PM" ], "value_series": [ "91900170294272", "91900170818560", "91900170818560", "91900170818560", "91900170818560" ] }, "node_disk_written_bytes_total": { "time_series": [ "12:06:05PM", "12:06:20PM", "12:06:35PM", "12:06:50PM", "12:07:05PM" ], "value_series": [ "6074665978880", "6074684582912", "6074699449344", "6074714261504", "6074729580032" ] }, "gpu_temperature": { "time_series": [ "12:06:05PM", "12:06:20PM", "12:06:35PM", "12:06:50PM", "12:07:05PM" ], "value_series": [ "27", "27", "27", "27", "27" ] }, "gpu_util": { "time_series": [ "12:06:05PM", "12:06:20PM", "12:06:35PM", "12:06:50PM", "12:07:05PM" ], "value_series": [ "0", "0", "0", "0", "0" ] }, "node_disk_capacity": 1572851396608, "node_disk_used": 1251752009728, "node_memory_capacity": 118492266496, "node_used_memory": 19927318528, "name": "e2e_node_7", "worker_type": "private_cloud_164_A100", "status": "Ready", "total_cpu": 16, "total_gpu": 1, "free_cpu": 15, "allocated_cpu": 0, "allocated_gpu": 0, "free_gpu": 1, "free_memory": 118, "free_ephemeral_storage": 1572 }, "errors": {}, "message": "Success"}